Subject: Re: [idn] WG Update

From: [email-masked]
Date: Sun, 7 Oct 2001 23:33:29 -0700

David, 
 Are you saying that the possibility of recover uppercase
of Latin, Greek or Cyrillic is not a useful feature from 
deployment of IDN?

Liana

On Sun, 07 Oct 2001 07:33:06 +0100 David Hopwood
<[email-masked]> writes:
> -----BEGIN PGP SIGNED MESSAGE-----
> 
> Erin Chen wrote:
> > As in the 2. General Requirements of 2.3 Canonicalization
> > 
> > [21] In order to retain backward compatibility with the current 
> DNS,
> > the service MUST retain the case-insensitive comparison for 
> US-ASCII
> > as specified in RFC 1035. For example, Latin capital letter A 
> (U+0041)
> > MUST match Latin small letter a (U+0061). Unicode Technical Report 
> #21
> > describes some of the issues with case mapping. Case-insensitivity 
> for
> > non US-ASCII MUST be discussed in the protocol proposal.
> > 
> > I recommend modify the last line "MUST be discussed" to be
> > "MUST be provided", as to be " Case-insensitivity for non US-ASCII 
> MUST be
> > provided in the protocol proposal"
> 
> I disagree. As it happens, all of the proposals provide 
> case-insensitivity
> for non-US-ASCII, but it is *not* a requirement. The protocol would 
> work
> fine and would be perfectly acceptable to users without it. We 
> should be
> clear about the difference between features that are *desirable* (in 
> this
> case for consistency), and *required* features.
> 
> In particular, preservation of case is wholly unnecessary, IMHO.
> [21] is perfectly OK as it is (although much of the rest of the 
> requirements
> draft is not; I'll discuss that in another post).
> 
> 
> <[email-masked]> wrote:
> > The TC/SC equivalent class is always conceptually described by the
> > similar properties of  case in ASCII characters, ...
> 
> No, it is not. TC/SC folding is an entirely separate issue to case
> folding. As I've pointed out before, it is counterproductive to try 
> to
> argue by an analogy that a consensus of the WG does not accept.
> 
> - -- 
> David Hopwood <[email-masked]>
> 
> Home page & PGP public key: http://www.users.zetnet.co.uk/hopwood/
> RSA 2048-bit; fingerprint 71 8E A6 23 0E D3 4C E5  0F 69 8C D4 FA 66 
> 15 01
> Nothing in this message is intended to be legally binding. If I 
> revoke a
> public key but refuse to specify why, it is because the private key 
> has been
> seized under the Regulation of Investigatory Powers Act; see 
> www.fipr.org/rip
> 
> 
> -----BEGIN PGP SIGNATURE-----
> Version: 2.6.3i
> Charset: noconv
> 
> iQEVAwUBO7/2zTkCAxeYt5gVAQGvZQgAvWfiHcqPPog2htBBOhtLUXMP4dOSVI5/
> F03Wk4oeYhyr32wMhjbDDsxCwdroAdhExEiAwLt31qpg7dSuyglzM3VILxznvvVu
> /inTb1oari9SnGjwu2hDKlTs5lfeTHKiSsdm5D1xAwaUo6fA8RW0gaDWv20elt74
> fm+WmS+3QHRxM4Y6MdCtjLpJdC0ywZUyDo/wfM9iMNsc7WHWzfWCE37xFQYH9nsJ
> zvRxfzV9AaEkV0ZtxBJWRknP1E59Gv3zGBi60WHX21/1ZykGu/6e6pk8OZ+CEHx4
> Ock7UKySbpkqXOncpCwJVSEdJyW+Y0hqfSCwzmlRXl5JIOpCoENHvQ==
> =oyij
> -----END PGP SIGNATURE-----
> 
>

---

From: "James Seng/Personal" <[email-masked]>
Date: Mon, 8 Oct 2001 14:43:47 +0800

the keyword here "useful" (which you used) vs "required" feature.
think about it :-)

james

---

From: David Hopwood <[email-masked]>
Date: Mon, 08 Oct 2001 18:09:33 +0100

-----BEGIN PGP SIGNED MESSAGE-----

> of Latin, Greek or Cyrillic is not a useful feature from

I'm saying that it is not a high priority compared to any other
considerations. *If* it can be supported without making compromises
elsewhere, then it should be implemented.

- -- 

Home page & PGP public key: http://www.users.zetnet.co.uk/hopwood/
RSA 2048-bit; fingerprint 71 8E A6 23 0E D3 4C E5  0F 69 8C D4 FA 66 15 01
Nothing in this message is intended to be legally binding. If I revoke a
public key but refuse to specify why, it is because the private key has been
seized under the Regulation of Investigatory Powers Act; see www.fipr.org/rip